import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

abstract class ViewModel extends ChangeNotifier {
  bool loading = false;
  void setLoading() {
    loading = true;
    notifyListeners();
  }

  void setIdle() {
    loading = false;
    notifyListeners();
  }

  void redraw() {
    notifyListeners();
  }

  @mustCallSuper
  @factory
  Future<void> initState();

  ViewModel();
}
